/*
 Simple Graphics Routines
 (c) 2005 Vadim Kushnir
*/

#ifndef _GRAPH_H
#define _GRAPH_H

#define	LCD_WIDTH	96
#define	LCD_HEIGHT	65
#define COL_BYTES	9

typedef struct {
	schar x;
	schar y;
} LCD_POS;

void lcd_pixel(char x, char y, char fgcolor);
void lcd_line(char x, char y, char x1, char y1);
void lcd_dashline(char x1, char y1, char x2, char y2);
void lcd_rectangle(char x, char y, char x1, char y1);
void lcd_fillrect(char left, char top, char right, char bottom, char color);
void lcd_setpos(char x, char y);
void lcd_text(char *s, char len, char color);
void lcd_text_P(const char *s, char len, char color);
void lcd_text_m(char *s, char len, char color);
void lcd_text2(char *s, char len, char color);
void lcd_char(char s, char color);
void lcd_cls();

#endif  //_GRAPH_H
